#include<bits/stdc++.h>
using namespace std;
int main(){

    int a,b,x,y;
    cin>>a>>b;
    cin>>x>>y;
    int k=0;
    int t=0;

    if(a==x){

        k=1;
    }
    if(b==y){

        t=1;
    }

    if(k==t && k==0){

        cout<<"?";
    }
    else if(k==t && k==1){

        cout<<"nijedan";
    }
    else if(k>t){

        cout<<"drugi";
    }
    else if(k<t){

        cout<<"prvi";
    }
}